curl --request POST \
--url https://api.edges.run/v1/actions/linkedin-extract-people-comment-activity/run/live \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {
"linkedin_profile_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": [
"44444444-4444-4444-4444-444444444444"
],
"identity_mode": "direct"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {linkedin_profile_url: '<string>', custom_data: {}},
parameters: {},
identity_ids: ['44444444-4444-4444-4444-444444444444'],
identity_mode: 'direct'
})
};
fetch('https://api.edges.run/v1/actions/linkedin-extract-people-comment-activity/run/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/actions/linkedin-extract-people-comment-activity/run/live"
payload = {
"input": {
"linkedin_profile_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": ["44444444-4444-4444-4444-444444444444"],
"identity_mode": "direct"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"comment_like_count": 123,
"comment_reply_count": 123,
"linkedin_comment_id": "<string>",
"linkedin_comment_url": "<string>",
"comment_text": "<string>",
"author_comment_reply": "<string>",
"comment_time": "<string>",
"linkedin_post_id": "<string>",
"linkedin_post_url": "<string>",
"comment_type": "<string>",
"linkedin_activity_id": "<string>",
"author": {
"firstname": "<string>",
"lastname": "<string>",
"linkedin_profile_handle": "<string>",
"linkedin_profile_id": 123,
"sales_navigator_profile_id": "<string>",
"linkedin_profile_url": "<string>"
},
"source_post": {
"linkedin_post_id": 123,
"linkedin_post_url": "<string>",
"content_text": "<string>",
"author": {
"linkedin_profile_id": 123,
"firstname": "<string>",
"lastname": "<string>",
"linkedin_profile_handle": "<string>",
"sales_navigator_profile_id": "<string>",
"linkedin_profile_url": "<string>"
}
},
"activity_author": {
"author": {
"linkedin_profile_id": 123,
"firstname": "<string>",
"lastname": "<string>",
"linkedin_profile_handle": "<string>",
"sales_navigator_profile_id": "<string>",
"linkedin_profile_url": "<string>"
}
}
}
]Extract LinkedIn People Comment Activity
Extract the comment activity history of a LinkedIn profile, showing posts they have commented on.
curl --request POST \
--url https://api.edges.run/v1/actions/linkedin-extract-people-comment-activity/run/live \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {
"linkedin_profile_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": [
"44444444-4444-4444-4444-444444444444"
],
"identity_mode": "direct"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {linkedin_profile_url: '<string>', custom_data: {}},
parameters: {},
identity_ids: ['44444444-4444-4444-4444-444444444444'],
identity_mode: 'direct'
})
};
fetch('https://api.edges.run/v1/actions/linkedin-extract-people-comment-activity/run/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/actions/linkedin-extract-people-comment-activity/run/live"
payload = {
"input": {
"linkedin_profile_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": ["44444444-4444-4444-4444-444444444444"],
"identity_mode": "direct"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"comment_like_count": 123,
"comment_reply_count": 123,
"linkedin_comment_id": "<string>",
"linkedin_comment_url": "<string>",
"comment_text": "<string>",
"author_comment_reply": "<string>",
"comment_time": "<string>",
"linkedin_post_id": "<string>",
"linkedin_post_url": "<string>",
"comment_type": "<string>",
"linkedin_activity_id": "<string>",
"author": {
"firstname": "<string>",
"lastname": "<string>",
"linkedin_profile_handle": "<string>",
"linkedin_profile_id": 123,
"sales_navigator_profile_id": "<string>",
"linkedin_profile_url": "<string>"
},
"source_post": {
"linkedin_post_id": 123,
"linkedin_post_url": "<string>",
"content_text": "<string>",
"author": {
"linkedin_profile_id": 123,
"firstname": "<string>",
"lastname": "<string>",
"linkedin_profile_handle": "<string>",
"sales_navigator_profile_id": "<string>",
"linkedin_profile_url": "<string>"
}
},
"activity_author": {
"author": {
"linkedin_profile_id": 123,
"firstname": "<string>",
"lastname": "<string>",
"linkedin_profile_handle": "<string>",
"sales_navigator_profile_id": "<string>",
"linkedin_profile_url": "<string>"
}
}
}
]1 credit per 20 results · credit_ratio 0.05 · Credit costs
People comment activity 650 / 24 h · Action limits
Agent skill
edges-linkedin-extract-people-comment-activity — ready-made instructions for coding agents calling this endpoint.X-Pagination-Next and X-Pagination-Previous over constructing
pagination URLs yourself. Stop only when X-Pagination-Next is absent —
a short page (fewer results than the previous page, or than the action’s usual
page size) does not mean you are done. LinkedIn’s page length can vary from
one request to the next; the result array length is not a stop condition.X-Pagination-Next until it is absent — do not stop because a page has fewer
results than the previous one.The credit line (1 credit per 20 results) is a billing unit, not the
live page size.Authorizations
Query Parameters
Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.
Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).
20 <= x <= 20Body
Show child attributes
Show child attributes
An array of Identity UUIDs linked to identities (e.g. LinkedIn) used to execute the Action. You must provide at least one valid UID with access to the integration. Do not use account_uid values — only user_uid is supported.
["44444444-4444-4444-4444-444444444444"]
If "auto", the Action will use any identities from the current workspace (unless you have provided a list of identity_ids). "managed" will use the Edges pool of identities for an extra credit cost
direct, auto, managed Response
Successful response
The unique identifier for the LinkedIn activity. If the activity is not a post, the ID is different of the linkedin_post_id.
Author of the post content currently displayed in the activity feed. This is the person that created the visible post at this level of the activity. If source_post is present, this post shares the content of source_post.
- Option 1
- Option 2
Show child attributes
Show child attributes
Previous post referenced by the visible post in the activity feed. This represents the immediate parent post in the sharing chain. If the visible post does not reference another post, this field is null.
Show child attributes
Show child attributes
Owner of the LinkedIn activity feed being analyzed. This represents the person whose "Recent activity" timeline is queried, regardless of whether they authored or reshared the post.
Show child attributes
Show child attributes

